## eclipse 3.7.2

=== eclipse/plugins/org.eclipse.core.filesystem/natives/unix/linux/Makefile ===
#******************************************************************************
# Copyright (c) 2010 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#     IBM Corporation - initial API and implementation
#******************************************************************************/
#
# makefile for libunixfile_1_0_0.so

CORE.C = ../unixfile.c
CORE.O = unixfile.o
LIB_NAME = libunixfile.so
LIB_NAME_FULL = libunixfile_1_0_0.so

#Set this to be your OS type
OS_TYPE = linux

#Set this to be the location of your JRE
JAVA_HOME = /usr/lib/jvm/java-1.5.0-ibm-1.5.0.9/

JDK_INCLUDE = -I ${JAVA_HOME}/include -I ${JAVA_HOME}/include/${OS_TYPE}
OPT_FLAGS=-O -s -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

core:
	gcc $(OPT_FLAGS) -fPIC -c $(JDK_INCLUDE) -o $(CORE.O) $(CORE.C)
	gcc $(OPT_FLAGS) -shared -Wl,-soname,$(LIB_NAME) -o $(LIB_NAME_FULL) $(CORE.O) -lc

clean:
	rm -f $(CORE.O) $(LIB_NAME_FULL)

install: core
	rm -f ../../../../org.eclipse.core.filesystem.linux.x86/os/linux/x86/libunixfile_1_0_0.so
	mv libunixfile_1_0_0.so ../../../../org.eclipse.core.filesystem.linux.x86/os/linux/x86/

=== debian/changelog ===
eclipse (3.7.2-1) unstable; urgency=low

  * New upstream release.
  * Use SWT from swt-gtk package instead of the bundled version
    (Closes: #538808).
  * Add org.eclipse.equinox.log to eclipse-rcp.
  * Update package synopsis and extended descriptions
    (Closes: #655945, #655946).
  * Bump Standards-Version to 3.9.3 (no changes required).
  * Fix broken installaton after some package Eclipse core platform
    depends on is upgraded (Closes: #662153, #663335).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 11 Mar 2012 20:10:20 +0100

=== debian/control ===
Source: eclipse
Section: devel
Priority: optional
Maintainer: Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
           Adnan Hodzic <adnan@foolcontrol.org>,
           Jimmy Kaplowitz <jimmy@debian.org>,
           Andres Mejia <amejia@debian.org>,
           Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: ant (>= 1.8.2),
               ant-optional,
               debhelper (>= 8~),
               default-jdk,
               docbook2x,
               junit (>= 3.8.2-4),
               junit4 (>= 4.7-3),
               libasm3-java (>= 3.3),
               libcommons-codec-java (>= 1.4-2),
               libcommons-el-java (>= 1.0-5),
               libcommons-httpclient-java (>= 3.1-9),
               libcommons-logging-java (>= 1.1.1-6),
               libgnome-vfsmm-2.6-dev,
               libgnomeui-dev,
               libgtk2.0-dev,
               libhamcrest-java (>= 1.1-8~),
               libicu4j-4.4-java (>= 4.4.2.2),
               libjasper-java (>= 5.5.33-2),
               libjetty-java (>= 6.1.24-4~),
               libjsch-java (>= 0.1.37-3),
               liblucene2-java (>= 2.9.4+ds1-3~),
               liblucene2-java (<< 2.9.5),
               libservlet2.5-java (>= 6.0.20-8),
               libswt-gtk-3-java (>= 3.7.1-2),
               lsb-release,
               maven-ant-helper,
               maven-repo-helper,
               pkg-config,
               rsync,
               sat4j (>= 2.3.0),
               sat4j (<< 2.4.0),
               unzip,
               zip
Build-Conflicts: xulrunner-dev
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/pkg-java/eclipse.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse.git
Homepage: http://www.eclipse.org/

Package: eclipse
Architecture: all
Depends: eclipse-jdt (>= ${source:Version}),
         eclipse-pde (>= ${source:Version}),
         ${misc:Depends}
Description: Extensible Tool Platform and Java IDE
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides the whole Eclipse SDK that contains Eclipse Platform,
 Java development tools and Plug-in Development Environment, including source
 and both user and programmer documentation.

Package: eclipse-jdt
Architecture: any
Depends: default-jre | java5-runtime | java6-runtime,
         eclipse-platform (= ${binary:Version}),
         junit (>= 3.8.2-4),
         junit4 (>= 4.7-3),
         libhamcrest-java (>= 1.1-8~),
         ${misc:Depends}
Recommends: default-jdk | sun-java6-jdk
Suggests: eclipse
Replaces: eclipse-jdt-gcj
Description: Eclipse Java Development Tools (JDT)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides Java Development Tools, a complete and powerful Java IDE
 along with several editors, a refactoring engine, Ant and JUnit integration,
 debugger, and many more features.

Package: eclipse-pde
Architecture: any
Depends: default-jre | java5-runtime | java6-runtime,
         eclipse-jdt (= ${binary:Version}),
         eclipse-platform (= ${binary:Version}),
         libasm3-java (>= 3.3),
         ${misc:Depends}
Suggests: eclipse
Replaces: eclipse-pde-gcj
Description: Eclipse Plug-in Development Environment (PDE)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides tools for easy development of plug-ins for Eclipse.

Package: eclipse-platform
Architecture: any
Depends: ant (>= 1.8.2),
         ant-optional,
         default-jre | java5-runtime | java6-runtime,
         eclipse-platform-data (>= ${source:Version}),
         eclipse-rcp (= ${binary:Version}),
         java-common (>= 0.23),
         libcommons-codec-java (>= 1.4-2),
         libcommons-el-java (>= 1.0-5),
         libcommons-httpclient-java (>= 3.1-9),
         libcommons-logging-java (>= 1.1.1-6),
         libjasper-java (>= 5.5.26),
         libjetty-java (>= 6.1.24-4~),
         libjsch-java (>= 0.1.37-3),
         liblucene2-java (>= 2.9.4+ds1-3~),
         liblucene2-java (<< 2.9.5),
         libservlet2.5-java (>= 6.0.20-8),
         sat4j (>= 2.3.0),
         sat4j (<< 2.4.0),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: eclipse-pde
Replaces: eclipse-jdt (<< 3.5.1+repack~3),
          eclipse-platform-common,
          eclipse-platform-gcj,
          eclipse-source (<= 3.1.1-3),
          libeclipse-jni
Breaks: eclipse-source (<= 3.1.1-3)
Conflicts: eclipse-common-nls,
           eclipse-platform-common,
           eclipse-platform-nls,
           libeclipse-jni
Suggests: eclipse-jdt
Description: Eclipse platform without development plug-ins
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides the Eclipse Platform and is the base for all eclipse
 plug-ins, but it does not include any development plug-ins. These are available
 in different packages, for example:
 .
  * eclipse-jdt Java Development Tools
  * eclipse-pde Plug-in Development Tools
  * eclipse-cdt C/C++ Development Tools

Package: eclipse-platform-data
Architecture: all
Depends: ${misc:Depends}
Replaces: eclipse (<< 3.5.2),
          eclipse-platform (<< 3.5.2-4),
          eclipse-platform-gcj,
          eclipse-plugin-cvs
Breaks: eclipse-plugin-cvs
Description: Eclipse platform without development plug-ins (data)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides the Eclipse Platform and is the base for all eclipse
 plug-ins, but it does not include any development plug-ins except CVS support
 for source code management. Other plugins are available in different packages,
 for example:
 .
  * eclipse-jdt Java Development Tools
  * eclipse-pde Plug-in Development Tools
  * eclipse-cdt C/C++ Development Tools
 .
 This package contains the architecture-independent data files.

Package: eclipse-rcp
Architecture: any
Depends: default-jre | java5-runtime | java6-runtime,
         libequinox-osgi-java (= ${source:Version}),
         libicu4j-4.4-java (>= 4.4.2.2),
         libswt-gtk-3-java (>= 3.7.1-2),
         libswt-cairo-gtk-3-jni,
         libswt-webkit-gtk-3-jni,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libswt-glx-gtk-3-jni,
            libswt-gnome-gtk-3-jni,
            ${shlibs:Recommends}
Suggests: eclipse
Replaces: eclipse-rcp-gcj,
          libswt-gtk-3.4-java,
          libswt-gtk-3.4-jni,
          libswt-gtk-3.5-jni (<< 3.5.1+repack),
          libswt3.2-gtk-gcj,
          libswt3.2-gtk-java,
          libswt3.2-gtk-jni
Description: Eclipse Rich Client Platform (RCP)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package includes Eclipse Rich Client Platform (RCP), which is the basis
 upon other Eclipse-based applications are built.

Package: libequinox-osgi-java
Architecture: all
Section: java
Depends: ${misc:Depends}
Recommends: libservlet2.5-java
Breaks: eclipse-rcp (<< 3.5.1-0ubuntu3)
Replaces: eclipse-platform-gcj, eclipse-rcp-gcj
Description: Equinox OSGi framework
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package includes only the Eclipse Equinox OSGi framework, which can
 be used outside Eclipse.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- provision.cvs

override_dh_auto_clean:
	ant distclean
	mh_clean

override_dh_auto_install:
	ant installSDKinDropins -Dprefix=/usr -DdestDir=$(CURDIR)/debian/tmp

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
CFG_OSGI_BUNDLES_PATH = debian/eclipse-rcp/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles
JNI_SO_PATH := $(CFG_OSGI_BUNDLES_PATH)/*/1/.cp
LAUNCHER_LIB = debian/eclipse-rcp/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher.*/eclipse_*.so

# This has to go in an arch package, as some of the version numbers
# depend on which arch it was build one.
COPY_PLATFORM:=/usr/lib/eclipse/buildscripts/copy-platform
COPY_PLATFORM_INSTALL:=debian/tmp$(COPY_PLATFORM)
PDEBUILD_INSTALL:=debian/tmp/usr/lib/eclipse/buildscripts/pde-build
PDEBUILDVERSION = $(shell ls debian/tmp/usr/lib/eclipse/dropins/sdk/plugins | grep org.eclipse.pde.build_ | sed 's/org.eclipse.pde.build_//')

override_dh_install:
	# move images from /usr/lib to /usr/share
	cd debian/tmp/usr && find lib/ -type f \( -name '*.bmp' -o -name '*.gif' -o -name '*.jpg' -o -name '*.png' \) | perl ../../../debian/extra/imagemv.pl
	# remove extra licence file
	rm -f debian/tmp/usr/lib/eclipse/plugins/org.apache.ant_*/about_files/LICENSE* \
		debian/tmp/usr/lib/eclipse/epl-v10.html \
		debian/tmp/usr/lib/eclipse/about_files/lgpl-v21.txt \
		debian/tmp/usr/lib/eclipse/about_files/mpl-v11.txt \
		debian/tmp/usr/lib/eclipse/about_files/webkit-bsd.txt \
		debian/tmp/usr/lib/eclipse/about_files/pixman-licenses.txt \
		debian/tmp/usr/lib/eclipse/about_files/about_cairo.html
	# Remove symlink and some cruft installed by the upstream install
	rm -fr debian/tmp/usr/bin/*
	# install the wrapper script
	cp debian/extra/eclipse debian/tmp/usr/bin/
	chmod 755 debian/tmp/usr/bin/eclipse
	# Correct the profile in config.ini - else eclipse will refuse to open the update/install menus.
	sed -i 's/SDKProfile/PlatformProfile/' debian/tmp/usr/lib/eclipse/configuration/config.ini
	# Set a saner default file limit than "unlimited".
	echo 'osgi.bundlefile.limit=100' >> debian/tmp/usr/lib/eclipse/configuration/config.ini
	# Remove the unnecessary configuration data (taken from Fedora spec)
	find debian/tmp/usr/lib/eclipse -depth -type d -empty -delete
	# fix permissions of scripts
	### FIXME - update to the new dropins layout (steal from fedora-spec file)
	chmod +x debian/tmp/usr/lib/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_*/templates/package-build/*.sh
	@echo "*** generate-pdebuild-scripts ***"
	mkdir -p `dirname $(COPY_PLATFORM_INSTALL)` `dirname $(PDEBUILD_INSTALL)`
	install -m 755 pdebuild/eclipse-copy-platform.sh $(COPY_PLATFORM_INSTALL)
	( \
	  cd debian/tmp/usr/lib/eclipse; \
	  ls -d * | egrep -v '^(plugins|features|about_files|dropins|buildscripts)$$' ; \
	  ls -d * plugins/* features/* ; \
	) | sed -e's,^\(.*\),[ ! -e \1 ] \&\& ln -s $$eclipse/\1 \1,' >> $(COPY_PLATFORM_INSTALL)
	( \
	  cd debian/tmp/usr/lib/eclipse; \
	  for p in $$(ls -d dropins/jdt/plugins/* dropins/sdk/plugins/*) ; do \
		plugin=$$(basename $$p); \
		echo $$p | sed -e"s,^\(.*\),[ ! -e plugins/$$plugin ] \&\& ln -s \$$eclipse/\1 plugins/$$plugin,"; \
	  done \
	) >> $(COPY_PLATFORM_INSTALL)
	sed -e "s/@PDEBUILDVERSION@/$(PDEBUILDVERSION)/g" -e "s:@COPY_PLATFORM@:$(COPY_PLATFORM):g" < pdebuild/eclipse-pdebuild.sh > $(PDEBUILD_INSTALL)
	chmod a+x $(PDEBUILD_INSTALL)
	dh_install --list-missing
	$(if $(wildcard debian/tmp/usr/lib/eclipse/plugins/org.eclipse.core.net.linux.*.jar),dh_install -peclipse-platform debian/tmp/usr/lib/eclipse/plugins/org.eclipse.core.net.linux.*.jar /usr/lib/eclipse/plugins)
	$(if $(wildcard debian/tmp/usr/lib/eclipse/plugins/org.eclipse.update.core.linux*.jar),dh_install -peclipse-platform debian/tmp/usr/lib/eclipse/plugins/org.eclipse.update.core.linux*.jar /usr/lib/eclipse/plugins)
	find $(CFG_OSGI_BUNDLES_PATH) -depth -type d -a -empty -delete
	# Check if we are doing a -B build
	[ ! -d debian/eclipse-platform-data ] || debian/rules override_dh_install_indep
	chmod 0644 debian/eclipse-rcp/usr/lib/eclipse/about_files/IJG_README

# Operations on arch: all packages - not invoked if building with -B
override_dh_install_indep:
	# mv arch-indep plugins from lib to share
	cd debian/eclipse-platform-data/usr && find lib/ -type f -path '*lib/eclipse/*' | perl ../../../debian/extra/imagemv.pl
	# Expose osgi jars
	mkdir -p debian/libequinox-osgi-java/usr/share/java
	cd debian/libequinox-osgi-java/usr/share/java && \
	  for FILE in ../../lib/eclipse/plugins/* ; do \
		ln -s $$FILE ; \
		ln -s $$FILE `basename $$FILE | sed 's/_.*$$//g'`.jar ; \
	  done
	# Install poms and jars into Maven repo
	 for pom in $(wildcard debian/poms/*.xml); do \
		mh_installpom -v -plibequinox-osgi-java $$pom; \
		SUFFIX=`basename $$pom .xml | sed 's/pom-equinox-//'`; \
		mh_installjar -v -plibequinox-osgi-java  $$pom debian/libequinox-osgi-java/usr/share/java/org.eclipse.$$SUFFIX.jar; \
	 done

## eclipse 3.8.0~rc4

=== debian/changelog ===
eclipse (3.8.0~rc4-1) unstable; urgency=low

  [ Jakub Adam ]
  * New upstream release.
  * Synchronize extended descriptions of eclipse-platform-data and
    eclipse-platform, grammar fixes (Closes: #678459).
  * Don't create binary packages when GCJ is used, only run the build
    so that log can be analyzed.

  [ Niels Thykier ]
  * Remove (Build-)Depends on libjasper-java (the old jasper5.5
    implementation).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 27 Jun 2012 12:59:33 +0200

eclipse (3.8.0~rc3-4) unstable; urgency=low

  * Upload to unstable.
  * Add upper bound on swt-gtk dependency.

 -- Niels Thykier <niels@thykier.net>  Wed, 20 Jun 2012 12:55:00 +0200

eclipse (3.8.0~rc3-3) experimental; urgency=low

  * Increase debhelper compatibility to level 9.
  * Use default build flags during compilation of native binaries.
  * Override false positive hardening-no-fortify-functions for
    libunixfile_1_0_0.so (Doesn't use any fortifiable functions).
  * Updated d/watch.
  * Depend on libswt-cairo-gtk-3-jni and libswt-webkit-gtk-3-jni (>= 3.8.0~)
    (Closes: #676467)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 18 Jun 2012 13:05:32 +0200

eclipse (3.8.0~rc3-2) experimental; urgency=low

  [ Jakub Adam ]
  * Fix FTBFS on most architectures.
  * Install libgnomeproxy-1.0.0.so to system JNI directory.
   - Prevents the library from being copied in to user's ~/.eclipse
  * Fix JSP precompilation in org.eclipse.help.webapp.
  * Make eclipse-platform-data Replace & Break eclipse-platform (<< 3.8.0~)
    (Closes: #676222)

  [ Niels Thykier ]
  * Add missing ${misc:Pre-Depends} dependency in eclipse-platform.
  * Drop unused ${shlibs:Recomends} dependency in eclipse-rcp.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 07 Jun 2012 17:08:30 +0200

eclipse (3.8.0~rc3-1) experimental; urgency=low

  * New upstream release.
  * Fix generation of Eclipse Help search index (Closes: #669000).
  * Remove Gnome libraries from Build-Depends.
  * Improve extended descriptions of binary packages and fix grammar
    errors (Closes: #664704, #664708).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 04 Jun 2012 16:31:24 +0200

=== debian/control ===
--- 
+++ 
@@ -9,28 +9,28 @@
            Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends: ant (>= 1.8.2),
                ant-optional,
-               debhelper (>= 8~),
+               debhelper (>= 9~),
                default-jdk,
                docbook2x,
                junit (>= 3.8.2-4),
-               junit4 (>= 4.7-3),
+               junit4 (>= 4.10-2),
                libasm3-java (>= 3.3),
                libcommons-codec-java (>= 1.4-2),
-               libcommons-el-java (>= 1.0-5),
                libcommons-httpclient-java (>= 3.1-9),
                libcommons-logging-java (>= 1.1.1-6),
-               libgnome-vfsmm-2.6-dev,
-               libgnomeui-dev,
+               libfelix-gogo-command-java,
+               libfelix-gogo-shell-java,
+               libgconf2-dev,
                libgtk2.0-dev,
                libhamcrest-java (>= 1.1-8~),
                libicu4j-4.4-java (>= 4.4.2.2),
-               libjasper-java (>= 5.5.33-2),
-               libjetty-java (>= 6.1.24-4~),
+               libjetty8-java,
                libjsch-java (>= 0.1.37-3),
                liblucene2-java (>= 2.9.4+ds1-3~),
                liblucene2-java (<< 2.9.5),
-               libservlet2.5-java (>= 6.0.20-8),
-               libswt-gtk-3-java (>= 3.7.1-2),
+               libservlet3.0-java,
+               libswt-gtk-3-java (>= 3.8.0~m6),
+               libtomcat7-java,
                lsb-release,
                maven-ant-helper,
                maven-repo-helper,
@@ -40,7 +40,6 @@
                sat4j (<< 2.4.0),
                unzip,
                zip
-Build-Conflicts: xulrunner-dev
 Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/pkg-java/eclipse.git
@@ -64,11 +63,11 @@
  and both user and programmer documentation.
 
 Package: eclipse-jdt
-Architecture: any
+Architecture: all
 Depends: default-jre | java5-runtime | java6-runtime,
-         eclipse-platform (= ${binary:Version}),
+         eclipse-platform (>= ${source:Version}),
          junit (>= 3.8.2-4),
-         junit4 (>= 4.7-3),
+         junit4 (>= 4.10-2),
          libhamcrest-java (>= 1.1-8~),
          ${misc:Depends}
 Recommends: default-jdk | sun-java6-jdk
@@ -83,13 +82,13 @@
  .
  This package provides Java Development Tools, a complete and powerful Java IDE
  along with several editors, a refactoring engine, Ant and JUnit integration,
- debugger, and many more features.
+ a debugger, and many more features.
 
 Package: eclipse-pde
 Architecture: any
 Depends: default-jre | java5-runtime | java6-runtime,
-         eclipse-jdt (= ${binary:Version}),
-         eclipse-platform (= ${binary:Version}),
+         eclipse-jdt (>= ${source:Version}),
+         eclipse-platform (>= ${source:Version}),
          libasm3-java (>= 3.3),
          ${misc:Depends}
 Suggests: eclipse
@@ -105,6 +104,7 @@
 
 Package: eclipse-platform
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ant (>= 1.8.2),
          ant-optional,
          default-jre | java5-runtime | java6-runtime,
@@ -112,15 +112,13 @@
          eclipse-rcp (= ${binary:Version}),
          java-common (>= 0.23),
          libcommons-codec-java (>= 1.4-2),
-         libcommons-el-java (>= 1.0-5),
          libcommons-httpclient-java (>= 3.1-9),
          libcommons-logging-java (>= 1.1.1-6),
-         libjasper-java (>= 5.5.26),
-         libjetty-java (>= 6.1.24-4~),
+         libjetty8-java,
          libjsch-java (>= 0.1.37-3),
          liblucene2-java (>= 2.9.4+ds1-3~),
          liblucene2-java (<< 2.9.5),
-         libservlet2.5-java (>= 6.0.20-8),
+         libservlet3.0-java,
          sat4j (>= 2.3.0),
          sat4j (<< 2.4.0),
          ${misc:Depends},
@@ -145,9 +143,9 @@
  builders to independently develop tools that integrate with other people's
  tools so seamlessly you can't tell where one tool ends and another starts.
  .
- This package provides the Eclipse Platform and is the base for all eclipse
- plug-ins, but it does not include any development plug-ins. These are available
- in different packages, for example:
+ This package provides the Eclipse Platform and is the base for all Eclipse
+ development plug-ins, but it does not include any. These are available in
+ different packages, for example:
  .
   * eclipse-jdt Java Development Tools
   * eclipse-pde Plug-in Development Tools
@@ -155,12 +153,14 @@
 
 Package: eclipse-platform-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libtomcat7-java,
+         ${misc:Depends}
 Replaces: eclipse (<< 3.5.2),
-          eclipse-platform (<< 3.5.2-4),
+          eclipse-platform (<< 3.8.0~),
           eclipse-platform-gcj,
           eclipse-plugin-cvs
-Breaks: eclipse-plugin-cvs
+Breaks: eclipse-plugin-cvs,
+        eclipse-platform (<< 3.8.0~)
 Description: Eclipse platform without development plug-ins (data)
  The Eclipse Platform is an open and extensible platform for anything and yet
  nothing in particular. It provides a foundation for constructing and running
@@ -168,9 +168,9 @@
  builders to independently develop tools that integrate with other people's
  tools so seamlessly you can't tell where one tool ends and another starts.
  .
- This package provides the Eclipse Platform and is the base for all eclipse
- plug-ins, but it does not include any development plug-ins except CVS support
- for source code management. Other plugins are available in different packages,
+ This package provides the Eclipse Platform and is the base for all Eclipse
+ development plug-ins, but it does not include any except CVS support for
+ source code management. Other plugins are available in different packages,
  for example:
  .
   * eclipse-jdt Java Development Tools
@@ -183,15 +183,17 @@
 Architecture: any
 Depends: default-jre | java5-runtime | java6-runtime,
          libequinox-osgi-java (= ${source:Version}),
+         libfelix-gogo-command-java,
+         libfelix-gogo-shell-java,
          libicu4j-4.4-java (>= 4.4.2.2),
-         libswt-gtk-3-java (>= 3.7.1-2),
-         libswt-cairo-gtk-3-jni,
-         libswt-webkit-gtk-3-jni,
+         libswt-gtk-3-java (<< 3.9.0~),
+         libswt-gtk-3-java (>= 3.8.0~),
+         libswt-cairo-gtk-3-jni (>= 3.8.0~),
+         libswt-webkit-gtk-3-jni (>= 3.8.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libswt-glx-gtk-3-jni,
-            libswt-gnome-gtk-3-jni,
-            ${shlibs:Recommends}
+            libswt-gnome-gtk-3-jni
 Suggests: eclipse
 Replaces: eclipse-rcp-gcj,
           libswt-gtk-3.4-java,
@@ -207,14 +209,14 @@
  builders to independently develop tools that integrate with other people's
  tools so seamlessly you can't tell where one tool ends and another starts.
  .
- This package includes Eclipse Rich Client Platform (RCP), which is the basis
- upon other Eclipse-based applications are built.
+ This package includes the Eclipse Rich Client Platform (RCP), the basis upon
+ which Eclipse RCP applications are built.
 
 Package: libequinox-osgi-java
 Architecture: all
 Section: java
 Depends: ${misc:Depends}
-Recommends: libservlet2.5-java
+Recommends: libservlet3.0-java
 Breaks: eclipse-rcp (<< 3.5.1-0ubuntu3)
 Replaces: eclipse-platform-gcj, eclipse-rcp-gcj
 Description: Equinox OSGi framework

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 override_dh_auto_clean:
 	ant distclean
 	mh_clean
+	rm -rf bootstrap/configuration/org.eclipse.update \
+	  bootstrap/environment/ee.minimum.jar
 
 override_dh_auto_install:
 	ant installSDKinDropins -Dprefix=/usr -DdestDir=$(CURDIR)/debian/tmp
@@ -28,6 +30,8 @@
 PDEBUILDVERSION = $(shell ls debian/tmp/usr/lib/eclipse/dropins/sdk/plugins | grep org.eclipse.pde.build_ | sed 's/org.eclipse.pde.build_//')
 
 override_dh_install:
+	# move jdt from /usr/lib to /usr/share
+	cd debian/tmp/usr && mkdir -p share/eclipse/dropins && mv lib/eclipse/dropins/jdt share/eclipse/dropins
 	# move images from /usr/lib to /usr/share
 	cd debian/tmp/usr && find lib/ -type f \( -name '*.bmp' -o -name '*.gif' -o -name '*.jpg' -o -name '*.png' \) | perl ../../../debian/extra/imagemv.pl
 	# remove extra licence file
@@ -62,9 +66,16 @@
 	) | sed -e's,^\(.*\),[ ! -e \1 ] \&\& ln -s $$eclipse/\1 \1,' >> $(COPY_PLATFORM_INSTALL)
 	( \
 	  cd debian/tmp/usr/lib/eclipse; \
-	  for p in $$(ls -d dropins/jdt/plugins/* dropins/sdk/plugins/*) ; do \
+	  for p in $$(ls -d dropins/sdk/plugins/*) ; do \
 		plugin=$$(basename $$p); \
 		echo $$p | sed -e"s,^\(.*\),[ ! -e plugins/$$plugin ] \&\& ln -s \$$eclipse/\1 plugins/$$plugin,"; \
+	  done \
+	) >> $(COPY_PLATFORM_INSTALL)
+	( \
+	  cd debian/tmp/usr/share/eclipse; \
+	  for p in $$(ls -d dropins/jdt/plugins/*) ; do \
+		plugin=$$(basename $$p); \
+		echo $$p | sed -e"s,^\(.*\),[ ! -e plugins/$$plugin ] \&\& ln -s \$$datadir/\1 plugins/$$plugin,"; \
 	  done \
 	) >> $(COPY_PLATFORM_INSTALL)
 	sed -e "s/@PDEBUILDVERSION@/$(PDEBUILDVERSION)/g" -e "s:@COPY_PLATFORM@:$(COPY_PLATFORM):g" < pdebuild/eclipse-pdebuild.sh > $(PDEBUILD_INSTALL)
@@ -72,6 +83,8 @@
 	dh_install --list-missing
 	$(if $(wildcard debian/tmp/usr/lib/eclipse/plugins/org.eclipse.core.net.linux.*.jar),dh_install -peclipse-platform debian/tmp/usr/lib/eclipse/plugins/org.eclipse.core.net.linux.*.jar /usr/lib/eclipse/plugins)
 	$(if $(wildcard debian/tmp/usr/lib/eclipse/plugins/org.eclipse.update.core.linux*.jar),dh_install -peclipse-platform debian/tmp/usr/lib/eclipse/plugins/org.eclipse.update.core.linux*.jar /usr/lib/eclipse/plugins)
+	dh_install -peclipse-platform build/*/plugins/org.eclipse.core.net/fragments/*/libgnomeproxy*.so \
+		usr/lib/$(DEB_HOST_MULTIARCH)/jni
 	find $(CFG_OSGI_BUNDLES_PATH) -depth -type d -a -empty -delete
 	# Check if we are doing a -B build
 	[ ! -d debian/eclipse-platform-data ] || debian/rules override_dh_install_indep
@@ -95,3 +108,9 @@
 		mh_installjar -v -plibequinox-osgi-java  $$pom debian/libequinox-osgi-java/usr/share/java/org.eclipse.$$SUFFIX.jar; \
 	 done
 
+override_dh_md5sums:
+	# If we are using GCJ, let the build fail at this point.
+	# We want to check the build log, but not to use the created packages.
+	! ($(JAVA_HOME)/bin/java -version 2>&1 | grep gcj >/dev/null) || \
+		(echo "GCJ detected, exiting build now..." && exit 1)
+	dh_md5sums

## eclipse 3.8.1

=== eclipse/plugins/org.eclipse.core.filesystem/natives/unix/linux/Makefile ===
--- 
+++ 
@@ -20,7 +20,9 @@
 OS_TYPE = linux
 
 #Set this to be the location of your JRE
-JAVA_HOME = /usr/lib/jvm/java-1.5.0-ibm-1.5.0.9/
+ifeq (${JAVA_HOME},)
+	JAVA_HOME = /usr/lib/jvm/java-1.5.0-ibm-1.5.0.9/
+endif
 
 JDK_INCLUDE = -I ${JAVA_HOME}/include -I ${JAVA_HOME}/include/${OS_TYPE}
 OPT_FLAGS=-O -s -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

=== eclipse/plugins/org.eclipse.core.filesystem/natives/unix/macosx/Makefile ===
#******************************************************************************
# Copyright (c) 2010 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#     IBM Corporation - initial API and implementation
#******************************************************************************/
#
# makefile for libunixfile_1_0_0.jnilib

CORE.C=../unixfile.c
LIB_NAME_FULL=libunixfile_1_0_0.jnilib

JDK_INCLUDE=-I /System/Library/Frameworks/JavaVM.framework/Headers
FRAMEWORKS=-framework JavaVM -framework CoreServices
# define MACOSX to include Mac OS X specific code
CC_FLAGS=-arch i386 -arch ppc -arch x86_64 -mmacosx-version-min=10.4 -DMACOSX

core:
	cc $(JDK_INCLUDE) $(CORE.C) -o $(LIB_NAME_FULL) -bundle $(FRAMEWORKS) $(CC_FLAGS)

clean:
	rm -f $(LIB_NAME_FULL)

install:
	rm -f ../../../../org.eclipse.core.filesystem.macosx/os/macosx/$(LIB_NAME_FULL)
	mv $(LIB_NAME_FULL) ../../../../org.eclipse.core.filesystem.macosx/os/macosx/

=== debian/changelog ===
eclipse (3.8.1-8) unstable; urgency=medium

  * Update icu4j dependency to libicu4j-49-java
    - required by eclipse-cdt 8.6.0.
  * Bump Standards-Version to 3.9.6.
  * Convert Vcs-* fields in d/control into canonical format.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 28 Feb 2015 19:13:20 +0100

eclipse (3.8.1-7) unstable; urgency=medium

  * Team upload.
  * Install all arch-dependent files into eclipse-rcp correctly by renaming
    override_dh_install to override_dh_install-arch.
    Fix wrong override for dh_install-indep and move jh_classpath commands
    to the appropriate override target. (Closes: #770457, #763994)

 -- Markus Koschany <apo@gambaru.de>  Mon, 24 Nov 2014 02:31:41 +0100

eclipse (3.8.1-6) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Replaced the jsr14 compilation target with 1.5 to compile with Java 8

  [ Jakub Adam ]
  * Refreshed d/eclipse-build-generatedScripts.tar.bz2 (Closes: #759847).
  * Override needless-suggest-recommend-libservlet-java lintian warning
    - follows from an optional OSGi dependency on javax.servlet.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 14 Sep 2014 13:52:58 +0200

eclipse (3.8.1-5.1) unstable; urgency=low

  [ Jakub Adam ]
  * Compile org.eclipse.osgi bundle for java 1.5.
    - Required for Tycho build with Java 7.
  * Fix FTBFS on s390x architecture.
  * Provide convenient symlinks for jdi.jar and jdimodel.jar (Closes: #734797).
  * Add README.ports.
  * Move Orbit jar symlinks mentioned in bundles.info from eclipse-platform-data
    into eclipse-platform (Closes: #735096, #732244).
    - Ensures bundles.info is always consistent with bundle names.

  [ Matthias Klose ]
  * Build for arm64 and ppc64el.

  [ tony mancill ]
  * Bump Standards-Version to 3.9.5.

 -- tony mancill <tmancill@debian.org>  Thu, 16 Jan 2014 20:52:11 -0800

eclipse (3.8.1-4) unstable; urgency=low

  * Fix help webapp with tomcat-jasper.jar from libtomcat7-java 7.0.40.
  * Improved eclipse-jdt extended description (Closes: #700256).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 12 Jun 2013 19:36:31 +0200

eclipse (3.8.1-3) unstable; urgency=low

  * Team upload.
  * Actually upload to unstable.

 -- tony mancill <tmancill@debian.org>  Sat, 01 Jun 2013 07:24:26 -0700

eclipse (3.8.1-2) experimental; urgency=low

  *Team upload.

  [ Jakub Adam ]
  * Fix FTBFS on ppc64 (Closes: #694950).
  * Bump Standards-Version to 3.9.4.

  [ tony mancill ]
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Fri, 31 May 2013 10:18:02 -0700

eclipse (3.8.1-1) experimental; urgency=low

  * New upstream release.
  * Update extended description of eclipse-platform-data (Closes: #679423).
  * Fix libgnomeproxy compilation with glib >= 2.32 (Closes: #679328).
  * Expose org.eclipse.jface and its dependencies in /usr/share/java.
  * Don't let patches delete files.
    - Works around dpkg bug #683547.
    - Affected patches are use-deb-build-compiler-flags.patch and
      find-tomcat-libs.patch.
  * Refreshed d/patches/eclipse-help-fix-jsp-precompilation.patch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 14 Oct 2012 14:59:33 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                debhelper (>= 9~),
                default-jdk,
                docbook2x,
+               javahelper,
                junit (>= 3.8.2-4),
                junit4 (>= 4.10-2),
                libasm3-java (>= 3.3),
@@ -23,7 +24,7 @@
                libgconf2-dev,
                libgtk2.0-dev,
                libhamcrest-java (>= 1.1-8~),
-               libicu4j-4.4-java (>= 4.4.2.2),
+               libicu4j-49-java (>= 49.1-2),
                libjetty8-java,
                libjsch-java (>= 0.1.37-3),
                liblucene2-java (>= 2.9.4+ds1-3~),
@@ -40,10 +41,9 @@
                sat4j (<< 2.4.0),
                unzip,
                zip
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/pkg-java/eclipse.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/eclipse.git
 Homepage: http://www.eclipse.org/
 
 Package: eclipse
@@ -80,9 +80,9 @@
  builders to independently develop tools that integrate with other people's
  tools so seamlessly you can't tell where one tool ends and another starts.
  .
- This package provides Java Development Tools, a complete and powerful Java IDE
- along with several editors, a refactoring engine, Ant and JUnit integration,
- a debugger, and many more features.
+ This package contains Java Development Tools. These provide a powerful
+ Java IDE along with several editors, a refactoring engine, Ant and JUnit
+ integration, a debugger, and many more features.
 
 Package: eclipse-pde
 Architecture: any
@@ -125,11 +125,7 @@
          ${perl:Depends},
          ${shlibs:Depends}
 Recommends: eclipse-pde
-Replaces: eclipse-jdt (<< 3.5.1+repack~3),
-          eclipse-platform-common,
-          eclipse-platform-gcj,
-          eclipse-source (<= 3.1.1-3),
-          libeclipse-jni
+Replaces: eclipse-platform-data (<< 3.8.1-5)
 Breaks: eclipse-source (<= 3.1.1-3)
 Conflicts: eclipse-common-nls,
            eclipse-platform-common,
@@ -168,16 +164,15 @@
  builders to independently develop tools that integrate with other people's
  tools so seamlessly you can't tell where one tool ends and another starts.
  .
- This package provides the Eclipse Platform and is the base for all Eclipse
- development plug-ins, but it does not include any except CVS support for
- source code management. Other plugins are available in different packages,
- for example:
+ The Eclipse Platform is the base for all Eclipse development plug-ins, but it
+ does not include any. These are available in different packages, for example:
  .
   * eclipse-jdt Java Development Tools
   * eclipse-pde Plug-in Development Tools
   * eclipse-cdt C/C++ Development Tools
  .
- This package contains the architecture-independent data files.
+ This package contains the architecture-independent data files of the Eclipse
+ Platform.
 
 Package: eclipse-rcp
 Architecture: any
@@ -185,7 +180,7 @@
          libequinox-osgi-java (= ${source:Version}),
          libfelix-gogo-command-java,
          libfelix-gogo-shell-java,
-         libicu4j-4.4-java (>= 4.4.2.2),
+         libicu4j-49-java (>= 49.1-2),
          libswt-gtk-3-java (<< 3.9.0~),
          libswt-gtk-3-java (>= 3.8.0~),
          libswt-cairo-gtk-3-jni (>= 3.8.0~),

=== debian/rules ===
--- 
+++ 
@@ -29,12 +29,12 @@
 PDEBUILD_INSTALL:=debian/tmp/usr/lib/eclipse/buildscripts/pde-build
 PDEBUILDVERSION = $(shell ls debian/tmp/usr/lib/eclipse/dropins/sdk/plugins | grep org.eclipse.pde.build_ | sed 's/org.eclipse.pde.build_//')
 
-override_dh_install:
+override_dh_install-arch:
 	# move jdt from /usr/lib to /usr/share
 	cd debian/tmp/usr && mkdir -p share/eclipse/dropins && mv lib/eclipse/dropins/jdt share/eclipse/dropins
 	# move images from /usr/lib to /usr/share
 	cd debian/tmp/usr && find lib/ -type f \( -name '*.bmp' -o -name '*.gif' -o -name '*.jpg' -o -name '*.png' \) | perl ../../../debian/extra/imagemv.pl
-	# remove extra licence file
+	# remove extra license files
 	rm -f debian/tmp/usr/lib/eclipse/plugins/org.apache.ant_*/about_files/LICENSE* \
 		debian/tmp/usr/lib/eclipse/epl-v10.html \
 		debian/tmp/usr/lib/eclipse/about_files/lgpl-v21.txt \
@@ -42,6 +42,7 @@
 		debian/tmp/usr/lib/eclipse/about_files/webkit-bsd.txt \
 		debian/tmp/usr/lib/eclipse/about_files/pixman-licenses.txt \
 		debian/tmp/usr/lib/eclipse/about_files/about_cairo.html
+	find debian/tmp/usr/lib/eclipse/dropins -type f -name LICENSE*.txt -delete
 	# Remove symlink and some cruft installed by the upstream install
 	rm -fr debian/tmp/usr/bin/*
 	# install the wrapper script
@@ -87,11 +88,21 @@
 		usr/lib/$(DEB_HOST_MULTIARCH)/jni
 	find $(CFG_OSGI_BUNDLES_PATH) -depth -type d -a -empty -delete
 	# Check if we are doing a -B build
-	[ ! -d debian/eclipse-platform-data ] || debian/rules override_dh_install_indep
+	[ ! -d debian/eclipse-platform-data ] || debian/rules override_dh_install-indep
 	chmod 0644 debian/eclipse-rcp/usr/lib/eclipse/about_files/IJG_README
+	# Expose org.eclipse.jface and its dependencies
+	mkdir -p debian/eclipse-rcp/usr/share/java
+	cd debian/eclipse-rcp/usr/share/java; \
+	ln -s ../../lib/eclipse/plugins/org.eclipse.jface_*.jar; \
+	ln -s org.eclipse.jface_*.jar org.eclipse.jface.jar; \
+	ln -s ../../lib/eclipse/plugins/org.eclipse.core.commands_*.jar; \
+	ln -s org.eclipse.core.commands_*.jar org.eclipse.core.commands.jar; \
+	ln -s ../../lib/eclipse/plugins/org.eclipse.equinox.common_*.jar; \
+	ln -s org.eclipse.equinox.common_*.jar org.eclipse.equinox.common.jar
 
 # Operations on arch: all packages - not invoked if building with -B
-override_dh_install_indep:
+override_dh_install-indep:
+	dh_install --indep
 	# mv arch-indep plugins from lib to share
 	cd debian/eclipse-platform-data/usr && find lib/ -type f -path '*lib/eclipse/*' | perl ../../../debian/extra/imagemv.pl
 	# Expose osgi jars
@@ -101,6 +112,11 @@
 		ln -s $$FILE ; \
 		ln -s $$FILE `basename $$FILE | sed 's/_.*$$//g'`.jar ; \
 	  done
+	# Expose jdi.jar and jdimodel.jar
+	mkdir -p debian/eclipse-jdt/usr/share/java
+	cd debian/eclipse-jdt/usr/share/java; \
+	  ln -s ../eclipse/dropins/jdt/plugins/org.eclipse.jdt.debug_*/jdi.jar; \
+	  ln -s ../eclipse/dropins/jdt/plugins/org.eclipse.jdt.debug_*/jdimodel.jar;
 	# Install poms and jars into Maven repo
 	 for pom in $(wildcard debian/poms/*.xml); do \
 		mh_installpom -v -plibequinox-osgi-java $$pom; \
@@ -108,6 +124,13 @@
 		mh_installjar -v -plibequinox-osgi-java  $$pom debian/libequinox-osgi-java/usr/share/java/org.eclipse.$$SUFFIX.jar; \
 	 done
 
+override_jh_classpath:
+	jh_classpath
+	jh_classpath -c"org.eclipse.core.commands.jar org.eclipse.equinox.common.jar" \
+		debian/eclipse-rcp/usr/share/java/org.eclipse.jface.jar
+	jh_classpath -c"org.eclipse.equinox.common.jar" \
+		debian/eclipse-rcp/usr/share/java/org.eclipse.core.commands.jar
+
 override_dh_md5sums:
 	# If we are using GCJ, let the build fail at this point.
 	# We want to check the build log, but not to use the created packages.

=== debian/watch ===
version=3
http://download.eclipse.org/eclipse/downloads/eclipse3x.html drops/R-(\d.\d.\d)-\d+/

## eclipse zenoh-1.3.0

=== docs/requirements.txt ===
sphinx==7.2.6
sphinx_rtd_theme==2.0.0
enum-tools[sphinx]
